package org.springblade.modules.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.entity.*;
import org.springblade.modules.excel.SyfwExcel;
import org.springblade.modules.vo.FzLsVO;

import java.util.List;
import java.util.Map;

public interface SyfwService extends IService<SyfwEntity> {
    IPage<SyfwEntity> selectSyfwPage(IPage<SyfwEntity> page, Map<String, Object> params);

	SyfwEntity bzdzDetail(Map<String, Object> params);

	List<FzLsVO> selectFzLs(Long fzid);

	boolean fzUpdate(SyfwEntity syfwEntity);

	SyfwEntity selectByFzId(Long fzid);

	void fzlsSave(SyfwEntity fz);

    List<SyfwExcel> exportSyfwInfo(Map<String, Object> syfwInfo);

    void updateFzxz(Long id, Long userId, String zxyy);

	FzLsEntity selectFz(Long id);

	List<RyCzrkEntity> selectCzrk(Long id);

	List<RyJwrkEntity> selectJwrk(Long id);

	List<RyJzrkEntity> selectJzrk(Long id);

	List<RyWlrkEntity> selectWlrk(Long id);

	List<RyZzrkEntity> selectZzrk(Long id);

	void updateCzrkzx(Long id, Long userId, String zxyy);

	void updateJwrkzx(Long id, Long userId, String zxyy);

	void updateJzrkzx(Long id, Long userId, String zxyy);

	void updateWlrkzx(Long id, Long userId, String zxyy);

	void updateZzrkzx(Long id, Long userId, String zxyy);

	void updateFwRyzx(Long id, Long userId);

    void updateFwzxById(Long id, Long userId, String zxyy);

	FwLsEntity selectFw(Long id);

	List<SyfwEntity> getMphxlhByLdphxlh(Map<String, Object> params);

	SyfwEntity selectFwInfo(Map<String, Object> params, String dzbm);
}
